# Include Makefile for the server
# $Id: Makefile.inc,v 1.14 2003/02/01 19:08:54 tdb Exp $

## Rule to CVS update the files
.PHONY : update
update :
	$(CVS) -q -d $(CVSROOT) update

## General Build Rule for Java Files
.PHONY : DOBUILD
DOBUILD : $(COMPILECHECK)

$(COMPILECHECK) : $(JAVA) $(IDLCHECK)
	$(JAVACBIN) $(JCFLAGS) -classpath $(JCCLASSPATH) -d $(BUILD) $(JAVA)
	@touch $(COMPILECHECK)
	@touch $(MCOMPILECHECK)

.PHONY : DOCOPY
DOCOPY : $(COPYCHECK)

$(COPYCHECK) : $(FILES)
	cp $(FILES) `perl -e '$$root="$(SOURCEROOT)";$$path=\`pwd\`;$$path=~s/^$$root($$1)/$$1/;print "$(BUILD)".$$path;'`
	@touch $(COPYCHECK)

.PHONY : DOCLEAN
DOCLEAN :
	rm -f $(COMPILECHECK) $(COPYCHECK)

$(IDLCHECK) : $(IDLFILE)
	cd $(IDLDIR) && $(MAKE) all

$(MCOMPILECHECK) :
	cd $(SOURCEROOT) && $(MAKE) build

$(SRCCHECK) :
	cd $(SOURCEROOT) && $(MAKE) mksrc

$(CHANGELOG) :
	cd $(SOURCEROOT) && $(MAKE) mkchangelog

$(JAVADOCCHECK) : $(IDLCHECK)
	cd $(SOURCEROOT) && $(MAKE) mkjavadoc
